com.google.gwt.logging.client

## Class DefaultLevel.Warning

- java.lang.Object
- - com.google.gwt.logging.client.DefaultLevel.Warning

All Implemented Interfaces:
  DefaultLevel

Enclosing interface:
  DefaultLevel

    public static class DefaultLevel.Warning
    extends java.lang.Object
    implements DefaultLevel

Returns Level.WARNING as the default level.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.logging.client.DefaultLevel

`DefaultLevel.All, DefaultLevel.Config, DefaultLevel.Fine, DefaultLevel.Finer, DefaultLevel.Finest, DefaultLevel.Info, DefaultLevel.Severe, DefaultLevel.Warning`

### Constructor Summary

Constructors
Constructor and Description
`Warning()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.logging.Level` `getLevel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Warning

    public Warning()

### Method Detail

#### getLevel

    public java.util.logging.Level getLevel()

Specified by:
  `getLevel` in interface `DefaultLevel`